#ifndef __SIG_TEST__
#define __SIG_TEST__

#include "common.h"

using namespace stk;

class sig_test {
public:
	sig_test();
	
	StkFloat tick();

private:
	SineWave sine;
	Noise noise;

	StkFloat lastSample;
};


#endif // __SIG_TEST__


